public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lua/luaposix/
Date: Tue, 29 Sep 2020 06:37:47 +0000 (UTC)	[thread overview]
Message-ID: <1601360232.0f6072b327ee7d9fa9944f5b6dbd508c4976a24a.juippis@gentoo> (raw)

commit:     0f6072b327ee7d9fa9944f5b6dbd508c4976a24a
Author:     Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Sat Aug 29 06:33:26 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue Sep 29 06:17:12 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f6072b3

dev-lua/luaposix: respect LDFLAGS (fix #739050)

Respect LDFLAGS.

Closes: https://bugs.gentoo.org/739050
Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/17308
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-lua/luaposix/luaposix-35.0.ebuild | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/dev-lua/luaposix/luaposix-35.0.ebuild b/dev-lua/luaposix/luaposix-35.0.ebuild
index a49f69845d1..06ef159c1e9 100644
--- a/dev-lua/luaposix/luaposix-35.0.ebuild
+++ b/dev-lua/luaposix/luaposix-35.0.ebuild
@@ -17,12 +17,20 @@ RDEPEND="dev-lang/lua:0=
 DEPEND="${RDEPEND}"
 BDEPEND="virtual/pkgconfig"
 
+src_prepare() {
+	default
+	# Temporary fix for respect LDFLAGS (#739050)
+	# Fixed in luke 0.2.1
+	sed -i -e "s:c_module,libdirs:c_module,'\$LDFLAGS',libdirs:g" \
+		build-aux/luke || die
+}
+
 src_compile() {
 	./build-aux/luke package="${PN}" version="${PV}" \
 		PREFIX="${ED}/usr" \
 		INST_LIBDIR="${ED}/$($(tc-getPKG_CONFIG) --variable INSTALL_CMOD lua)" \
 		INST_LUADIR="${ED}/$($(tc-getPKG_CONFIG) --variable INSTALL_LMOD lua)" \
-		CFLAGS="${CFLAGS}" CC="$(tc-getCC)" || die
+		CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" CC="$(tc-getCC)" || die
 }
 
 src_install() {


             reply	other threads:[~2020-09-29  6:37 UTC|newest]

Thread overview: 33+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-09-29  6:37 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-07-25 21:00 [gentoo-commits] repo/gentoo:master commit in: dev-lua/luaposix/ Conrad Kostecki
2023-07-25 21:00 Conrad Kostecki
2023-07-25 21:00 Conrad Kostecki
2023-06-24 21:36 Conrad Kostecki
2023-05-17  8:16 Conrad Kostecki
2023-04-21  8:25 Joonas Niilola
2023-03-04  0:00 Conrad Kostecki
2023-03-04  0:00 Conrad Kostecki
2023-02-01  1:11 Conrad Kostecki
2023-02-01  1:11 Conrad Kostecki
2022-07-22  7:31 James Le Cuirot
2022-04-18 20:19 Conrad Kostecki
2022-04-18 20:19 Conrad Kostecki
2022-04-17 16:10 Sam James
2022-04-17 16:10 Sam James
2021-09-27 20:30 Conrad Kostecki
2021-06-29 21:23 Sam James
2021-06-24 17:33 Sergei Trofimovich
2021-04-29 14:19 Sam James
2021-04-27 22:02 Sam James
2021-03-31 19:44 Conrad Kostecki
2021-03-31 19:44 Conrad Kostecki
2021-03-28  7:14 Sam James
2021-03-06 15:14 Sergei Trofimovich
2021-01-27 19:48 Conrad Kostecki
2021-01-20 14:13 Joonas Niilola
2021-01-20 14:13 Joonas Niilola
2021-01-20 14:13 Joonas Niilola
2020-12-02 23:57 Marek Szuba
2020-08-24 14:39 Joonas Niilola
2020-08-24 14:39 Joonas Niilola
2016-12-23  9:57 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1601360232.0f6072b327ee7d9fa9944f5b6dbd508c4976a24a.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox